﻿using System;
using System.Net;
using System.Windows;
using System.Runtime.Serialization;

namespace Facebook_Tutorial_2.Model
{

    //Note to self: 
    //   to get pictures, I need to see if the item is of type picture
    //   then I need to pull the picture page (graph.facebook.com/pictureID)
    //   and grab either the source or the picture
    [DataContractAttribute]
    public class FacebookPost
    {
        public FacebookPost() { }

        #region ID Property (string)
        private string _id;
        [DataMember(Name = "id")]
        public string ID
        {
            get { return _id; }
            set { _id = value; }
        }
        #endregion

        #region Author Property (SimpleFacebookUser)
        private SimpleFacebookUser _author;
        [DataMember(Name = "from")]
        public SimpleFacebookUser Author
        {
            get { return _author; }
            set { _author = value; }
        }
        #endregion

        #region Message Property (string)
        private string _message;
        [DataMember(Name = "message")]
        public string Message
        {
            get { return _message; }
            set { _message = value; }
        }
        #endregion

        #region Picture Property (string)
        private string _picture = "";
        [DataMember(Name = "picture")]
        public string Picture
        {
            get { return _picture; }
            set { _picture = value; }
        }
        #endregion

        #region HasPicture Property (string)
        private bool _hasPicture;        
        public bool HasPicture
        {
            get 
            {
                if (_picture == "" || _picture == null)
                    return false;
                else
                    return true;

            }
            set { _hasPicture = value; }
        }
        #endregion

        #region ItemName Property (string)
        private string _itemName;
        [DataMember(Name = "name")]
        public string ItemName
        {
            get { return _itemName; }
            set { _itemName = value; }
        }
        #endregion

        #region Caption Property (string)
        private string _caption;
        [DataMember(Name = "caption")]
        public string Caption
        {
            get { return _caption; }
            set { _caption = value; }
        }
        #endregion

        #region ItemDescription Property (string)
        private string _itemDescription;
        [DataMember(Name = "description")]
        public string ItemDescription
        {
            get { return _itemDescription; }
            set { _itemDescription = value; }
        }
        #endregion

        #region Icon Property (string)
        private string _icon;
        [DataMember(Name = "icon")]
        public string Icon
        {
            get { return _icon; }
            set { _icon = value; }
        }
        #endregion

        #region PostType Property (string)
        private string _postType;
        [DataMember(Name = "type")]
        public string PostType
        {
            get { return _postType; }
            set { _postType = value; }
        }
        #endregion

        #region Application Property (GenericFacebookField)
        private GenericFacebookField _myProp;
        [DataMember(Name = "application")]
        public GenericFacebookField Application
        {
            get { return _myProp; }
            set { _myProp = value; }
        }
        #endregion

        #region CreatedTime Property (string)
        private string _createdTime;
        [DataMember(Name = "created_time")]
        public string CreatedTime
        {
            get { return _createdTime; }
            set { _createdTime = value; }
        }
        #endregion

        #region UpdatedTime Property (string)
        private string _updatedTime;
        [DataMember(Name = "updated_time")]
        public string UpdatedTime
        {
            get { return _updatedTime; }
            set { _updatedTime = value; }
        }
        #endregion

        #region Likes Property (LikesModel)
        private LikesModel _likes;
        [DataMember(Name = "likes")]
        public LikesModel Likes
        {
            get { return _likes; }
            set { _likes = value; }
        }
        #endregion

    }
}
